Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.bridges.jsdm
Class JSDMWrapper

    java.lang.Object
      infomat.bridges.jsdm.JSDMWrapper

All Implemented Interfaces:
  HasProperties

    public class JSDMWrapper

extends java.lang.Object
implements HasProperties

Field Summary
`private IObjectGroup` | `iogroup`
`private java.util.HashMap<IObject,float[]>` | `ioReprMap`
`private int` | `numberOfIOsNotInSDM`
`private int` | `numberOfLabels`
`(package private) Properties` | `properties`
`private SparseDistributedMemory` | `sdm`

Constructor Summary
`JSDMWrapper()`
`JSDMWrapper(Properties properties)`

Method Summary
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`float[]` | `getRepresentation(IObject io)`
`IObjectGroup` | `getWholeIObjectGroup()`
`void` | `load(java.lang.String fileName)` Loads.
`void` | `load(java.lang.String fileName, IObjectGroup group)` Loads.
`private void` | `normalize(float[] repr)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`private void` | `wrap(IObjectGroup iog)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    Properties properties

### sdm

    private SparseDistributedMemory sdm

### numberOfLabels

    private int numberOfLabels

### ioReprMap

    private java.util.HashMap<IObject,float[]> ioReprMap

### iogroup

    private IObjectGroup iogroup

### numberOfIOsNotInSDM

    private int numberOfIOsNotInSDM

Constructor Detail

### JSDMWrapper

    public JSDMWrapper()

### JSDMWrapper

    public JSDMWrapper(Properties properties)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### load

    public void load(java.lang.String fileName)

  Loads.

### load

    public void load(java.lang.String fileName,
                     IObjectGroup group)

  Loads.

### wrap

    private void wrap(IObjectGroup iog)

### normalize

    private void normalize(float[] repr)

### getRepresentation

    public float[] getRepresentation(IObject io)

### getWholeIObjectGroup

    public IObjectGroup getWholeIObjectGroup()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD